%define majver %(echo %version | cut -d. -f1)
%define bento_version 1.6.0-641
Name:          kodi-inputstream-adaptive
Version:       21.5.14
Release:       1mamba
Summary:       kodi inputstream addon for several manifest types 
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xbmc/inputstream.adaptive
Source:        https://github.com/xbmc/inputstream.adaptive.git/%{version}-Omega/inputstream.adaptive-%{version}.tar.bz2
Source1:       https://github.com/xbmc/Bento4/archive/refs/tags/%{bento_version}-Omega.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: kodi-devel >= %{majver}
BuildRequires: cmake
Requires:      kodi >= %{majver}
Requires:      kodi < %{majver}.999

%description
kodi inputstream addon for several manifest types.


%prep
%setup -q -n inputstream.adaptive-%{version}

%build
%cmake -d build \
   -DBUILD_SHARED_LIBS=1 \
   -DUSE_LTO=1 \
   -DENABLE_INTERNAL_BENTO4=1 \
   -DBENTO4_URL="%{SOURCE1}"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/kodi/addons/inputstream.adaptive
%{_libdir}/kodi/addons/inputstream.adaptive/*
%dir %{_datadir}/kodi/addons/inputstream.adaptive
%{_datadir}/kodi/addons/inputstream.adaptive/*

%changelog
* Fri May 23 2025 Automatic Build System <autodist@openmamba.org> 21.5.14-1mamba
- automatic version update by autodist

* Sun May 04 2025 Automatic Build System <autodist@openmamba.org> 21.5.13-1mamba
- automatic version update by autodist

* Mon Apr 28 2025 Automatic Build System <autodist@openmamba.org> 21.5.12-1mamba
- automatic version update by autodist

* Tue Apr 15 2025 Automatic Build System <autodist@openmamba.org> 21.5.11-1mamba
- automatic version update by autodist

* Mon Apr 07 2025 Automatic Build System <autodist@openmamba.org> 21.5.10-1mamba
- automatic version update by autodist

* Sat Jan 18 2025 Automatic Build System <autodist@openmamba.org> 21.5.9-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 21.5.7-1mamba
- automatic version update by autodist

* Tue Nov 05 2024 Automatic Build System <autodist@openmamba.org> 21.5.6-1mamba
- automatic version update by autodist

* Sat Oct 12 2024 Automatic Build System <autodist@openmamba.org> 21.5.5-1mamba
- automatic version update by autodist

* Thu Aug 29 2024 Automatic Build System <autodist@openmamba.org> 21.5.4-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 21.5.3-1mamba
- automatic version update by autodist

* Sat Aug 10 2024 Automatic Build System <autodist@openmamba.org> 21.5.2-1mamba
- automatic version update by autodist

* Tue Jul 30 2024 Automatic Build System <autodist@openmamba.org> 21.5.0-1mamba
- automatic version update by autodist

* Mon Jun 24 2024 Automatic Build System <autodist@openmamba.org> 21.4.10-1mamba
- automatic version update by autodist

* Wed May 29 2024 Automatic Build System <autodist@openmamba.org> 21.4.9-1mamba
- automatic version update by autodist

* Mon May 27 2024 Automatic Build System <autodist@openmamba.org> 21.4.8-1mamba
- automatic version update by autodist

* Fri May 10 2024 Automatic Build System <autodist@openmamba.org> 21.4.7-1mamba
- automatic version update by autodist

* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 21.4.6-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 21.4.5-1mamba
- update to 21.4.5

* Tue Feb 20 2024 Automatic Build System <autodist@openmamba.org> 20.3.18-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 20.3.17-1mamba
- automatic version update by autodist

* Mon Jan 08 2024 Automatic Build System <autodist@openmamba.org> 20.3.16-1mamba
- automatic version update by autodist

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 20.3.15-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 20.3.14-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 20.3.13-1mamba
- automatic version update by autodist

* Mon Aug 28 2023 Automatic Build System <autodist@mambasoft.it> 20.3.12-1mamba
- automatic version update by autodist

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 20.3.9-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 20.3.8-1mamba
- automatic version update by autodist

* Sun May 07 2023 Automatic Build System <autodist@mambasoft.it> 20.3.7-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 20.3.6-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20.3.5-1mamba
- update to 20.3.5

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 19.0.7-1mamba
- automatic version update by autodist

* Fri Jun 17 2022 Automatic Build System <autodist@mambasoft.it> 19.0.6-1mamba
- automatic version update by autodist

* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 19.0.5-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 19.0.4-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 19.0.3-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 19.0.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0.1-1mamba
- package created using the webbuild interface
